Extending Qt Creator Manual | Icons

Extending Qt Creator Manual 4.5.2

# Icons Class

(QmlJS::Icons)

- List of all members, including inherited members

## Public Functions

| ~Icons()
QIcon | icon(const QString &packageName, const QString typeName) const
void | setIconFilesPath(const QString &iconPath)

## Static Public Members

QIcon | functionDeclarationIcon()
QIcon | icon(AST::Node *node)
Icons * | instance()
QIcon | objectDefinitionIcon()
QIcon | publicMemberIcon()
QIcon | scriptBindingIcon()

## Member Function Documentation

### Icons::~Icons()

Destroys the instance of Icons.

### `[static]` QIcon Icons::functionDeclarationIcon()

### QIcon Icons::icon(const QString &packageName, const QString typeName) const

### `[static]` QIcon Icons::icon(AST::Node *node)

### `[static]` Icons *Icons::instance()

### `[static]` QIcon Icons::objectDefinitionIcon()

### `[static]` QIcon Icons::publicMemberIcon()

### `[static]` QIcon Icons::scriptBindingIcon()

### void Icons::setIconFilesPath(const QString &iconPath)